// -*- C++ -*-
//      Copyright 1993, Center for Computer Vision and Visualization,
//      University of Florida.  All rights reserved.

#include "Cell.h"

static char IA_Cell_c_rcsid[] = "$Id: Cell.c,v 1.2 1993/05/26 17:15:42 rjj Exp $";

// $Log: Cell.c,v $
//Revision 1.2  1993/05/26  17:15:42  rjj
//Added Copyright message
//
//Revision 1.1  92/12/16  02:09:29  rjj
//Initial revision
//


/////////////////////////////////////////////////////////////////////////////
//
// class IA_Cell
//
/////////////////////////////////////////////////////////////////////////////

/*template <class T>
const  char*  IA_Cell<T>::c_file() {
    return IA_Cell_c_rcsid;
}
*/

template <class T>
void IA_Cell<T>::nullCell() {
//    this->cellValue = T(0);
    this->nextCell = this;
    this->prevCell = this;
}


template <class T>
IA_Cell<T>* IA_Cell<T>::skip(int s) {

    IA_Cell<T>* skipCell = this;

    if (s < 0) {
	for (int i=0; s<i; i--) {
	    skipCell = (skipCell) ? skipCell->prev() : 0;
	}
    } else {
	for (int i=0; i<s; i++) {
	    skipCell = (skipCell) ? skipCell->next() : 0;
	}
    }
    return skipCell;
}
